import { Component } from 'react'
import Taro from '@tarojs/taro'
import './app.less'
import 'taro-ui/dist/style/index.scss'

class App extends Component {

  componentDidMount () {
    // 存储导航栏高度
    const systemInfo = Taro.getSystemInfoSync()
    Taro.navigationBarHeight = systemInfo.safeArea.top
  }

  componentDidShow () {}

  componentDidHide () {}

  render () {
    // this.props.children 是将要会渲染的页面
    return this.props.children
  }
}

export default App
